Skip to main content
GET
/
domain
/
list
List domains with pagination
curl --request GET \
  --url https://api.h0p.co/domain/list \
  --header 'x-api-key: <api-key>'
{
  "count": 42,
  "data": [
    {
      "qrCode": {
        "options": {
          "data": "https://example.com/abc123",
          "type": "svg",
          "width": 300,
          "height": 300,
          "margin": 4,
          "image": "https://example.com/logo.png",
          "imageOptions": {
            "hideBackgroundDots": true,
            "imageSize": 0.4,
            "crossOrigin": "anonymous",
            "margin": 10
          },
          "dotsOptions": {
            "type": "rounded",
            "color": "#000000",
            "gradient": {
              "type": "linear",
              "colorStops": [
                {
                  "offset": 0,
                  "color": "#3B82F6"
                },
                {
                  "offset": 1,
                  "color": "#8B5CF6"
                }
              ],
              "rotation": 45
            },
            "roundSize": true
          },
          "cornersSquareOptions": {
            "type": "square",
            "color": "#3B82F6",
            "gradient": {
              "type": "linear",
              "colorStops": [
                {
                  "offset": 0,
                  "color": "#3B82F6"
                },
                {
                  "offset": 1,
                  "color": "#8B5CF6"
                }
              ],
              "rotation": 45
            }
          },
          "cornersDotOptions": {
            "type": "dot",
            "color": "#8B5CF6",
            "gradient": {
              "type": "linear",
              "colorStops": [
                {
                  "offset": 0,
                  "color": "#3B82F6"
                },
                {
                  "offset": 1,
                  "color": "#8B5CF6"
                }
              ],
              "rotation": 45
            }
          },
          "backgroundOptions": {
            "round": 0.1,
            "color": "#FFFFFF"
          }
        },
        "imageId": "01933eb8-541f-7000-a9f4-e4eee80ff04e"
      },
      "id": "01933eb8-541f-7000-a9f4-e4eee80ff04e",
      "domain": "links.example.com",
      "isPrimary": true,
      "isVerified": true,
      "createdAt": "2024-01-15T10:30:00Z"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API Key authentication for programmatic access.

How to use:

  1. Create an API key from your dashboard settings
  2. Include the key in the x-api-key header with each request
  3. API keys have granular permissions (domains, shortLinks, files, stats, apiKeys)

Example:

curl -H "x-api-key: your-api-key-here" https://api.h0p.co/short-link/list

Types of API keys:

  • User keys: Linked to your user account (one per organization)
  • Bot keys: Autonomous machine users (one per organization)

Security notes:

  • Keep your API keys secure and never commit them to version control
  • API keys cannot access authentication endpoints (/auth/*)
  • Keys can be revoked at any time from the dashboard

Query Parameters

withQrCodeTemplate
boolean | null
default:false

Include QR code template data in response

Example:

false

limit
number | null
default:25

Maximum number of items to return per page

Required range: 0 <= x <= 50
Example:

25

page
number | null
default:0

Page number for pagination (zero-indexed)

Required range: x >= 0
Example:

0

Search query string to filter results

Example:

"example"

Response

Paginated list of domains retrieved successfully

count
number
required

Total number of items matching the query

Required range: x >= 0
Example:

42

data
object[]
required